## org.apache.lucene.facet.associations
Interface CategoryAssociation

All Known Implementing Classes:
  CategoryFloatAssociation, CategoryIntAssociation

    public interface CategoryAssociation

Allows associating an arbitrary value with a `CategoryPath`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`void` `deserialize(ByteArrayDataInput input)` Deserializes the association value from the given `DataInput`.
`String` `getCategoryListID()` Returns the ID of the category association.
`int` `maxBytesNeeded()` Returns the maximum bytes needed to encode the association value.
`void` `serialize(ByteArrayDataOutput output)` Serializes the associated value into the given `DataOutput`.

Method Detail

### serialize

    void serialize(ByteArrayDataOutput output)

  Serializes the associated value into the given `DataOutput`.

### deserialize

    void deserialize(ByteArrayDataInput input)

  Deserializes the association value from the given `DataInput`.

### maxBytesNeeded

    int maxBytesNeeded()

  Returns the maximum bytes needed to encode the association value.

### getCategoryListID

    String getCategoryListID()

  Returns the ID of the category association. The ID is used as e.g. the term's text under which to encode the association values.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.